List contact searches
curl --request GET \
--url https://api.tamtam.ai/api/v2/contact-searches \
--header 'Authorization: <api-key>'import requests
url = "https://api.tamtam.ai/api/v2/contact-searches"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tamtam.ai/api/v2/contact-searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact_searches": [
{
"company_linkedin_ids": [
"<string>"
],
"contacts_list_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_email": "<string>",
"id": "<string>",
"name": "<string>",
"queries": [
{
"include_past_job_titles": true,
"label": "<string>",
"canonical_job_titles_excludes_ids": [
"<string>"
],
"canonical_job_titles_includes_ids": [
"<string>"
],
"countries": [
"<string>"
],
"country_excludes": [
"<string>"
],
"job_titles_excludes": [
"<string>"
],
"job_titles_includes": [
"<string>"
],
"keywords": "<string>",
"persona_id": "<string>",
"seniority_excludes": [
"<string>"
],
"seniority_includes": [
"<string>"
]
}
],
"status": {
"cancelled_jobs": 123,
"companies_searched": 123,
"contacts_in_list_count": 123,
"done_jobs": 123,
"phase": "Searching",
"skipped_deleted_company_jobs": 123,
"total_jobs": 123,
"total_processed_results": 123,
"empty_reason": "<string>"
},
"already_existed": true
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Contact Searches
List contact searches
Every contact search in the account, newest first, each with its current status.
GET
/
v2
/
contact-searches
List contact searches
Authorizations
apikeyAuthbearerAuth
Account API key passed in the Authorization header
Query Parameters
Maximum searches to return
Required range:
1 <= x <= 100Number of searches to skip
Required range:
x >= 0